# Uses of Class
com.privatejgoodies.forms.layout.FormSpec.DefaultAlignment

Packages that use FormSpec.DefaultAlignment
Package
Description
com.privatejgoodies.forms.layout

## Uses of FormSpec.DefaultAlignment in com.privatejgoodies.forms.layout

Fields in com.privatejgoodies.forms.layout declared as FormSpec.DefaultAlignment
Modifier and Type
Field
Description
`static final FormSpec.DefaultAlignment`
RowSpec.`BOTTOM`
By default put the components in the bottom.
`static final FormSpec.DefaultAlignment`
ColumnSpec.`CENTER`
By default put the components in the center.
`static final FormSpec.DefaultAlignment`
RowSpec.`CENTER`
By default put the components in the center.
`static final FormSpec.DefaultAlignment`
ColumnSpec.`DEFAULT`
Unless overridden the default alignment for a column is FILL.
`static final FormSpec.DefaultAlignment`
RowSpec.`DEFAULT`
Unless overridden the default alignment for a row is CENTER.
`static final FormSpec.DefaultAlignment`
ColumnSpec.`FILL`
By default fill the component into the column.
`static final FormSpec.DefaultAlignment`
RowSpec.`FILL`
By default fill the component into the row.
`static final FormSpec.DefaultAlignment`
ColumnSpec.`LEFT`
By default put components in the left.
`static final FormSpec.DefaultAlignment`
ColumnSpec.`RIGHT`
By default put components in the right.
`static final FormSpec.DefaultAlignment`
RowSpec.`TOP`
By default put the components in the top.
Methods in com.privatejgoodies.forms.layout that return FormSpec.DefaultAlignment
Modifier and Type
Method
Description
`final FormSpec.DefaultAlignment`
FormSpec.`getDefaultAlignment()`
Returns the default alignment.
Constructors in com.privatejgoodies.forms.layout with parameters of type FormSpec.DefaultAlignment
Modifier
Constructor
Description
``
`ColumnSpec(FormSpec.DefaultAlignment defaultAlignment, Size size, double resizeWeight)`
Constructs a ColumnSpec for the given default alignment, size and resize weight.
`protected`
`FormSpec(FormSpec.DefaultAlignment defaultAlignment, Size size, double resizeWeight)`
Constructs a `FormSpec` for the given default alignment, size, and resize weight.
`protected`
`FormSpec(FormSpec.DefaultAlignment defaultAlignment, String encodedDescription)`
Constructs a FormSpec from the specified encoded description.
``
`RowSpec(FormSpec.DefaultAlignment defaultAlignment, Size size, double resizeWeight)`
Constructs a RowSpec from the given default orientation, size, and resize weight.